Bug 21274 - RFE: add package erasure to python bindings
Summary: RFE: add package erasure to python bindings
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-23 04:09 UTC by Jeremy Katz
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-23 04:13:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add package removal to python bindings (2.07 KB, patch)
2000-11-23 04:13 UTC, Jeremy Katz
no flags Details | Diff

Description Jeremy Katz 2000-11-23 04:09:34 UTC
The attached patch adds support for removing packages as part of a
transaction set similar to the current support for installing new packages.
 Patch is against current CVS HEAD although it also patches and compiles
cleanly against the 4.0 branch.  Would be nice so that python apps
interacting with rpm can actually remove packages without shelling out to
do 'rpm -e' and killing the chance of using rpm's built-in dependency checking

Comment 1 Jeremy Katz 2000-11-23 04:13:56 UTC
Created attachment 5663 [details]
add package removal to python bindings

Comment 2 Jeff Johnson 2000-12-03 17:26:23 UTC
Added in CVS. Should be in rpm-4.0.1-0.15 and later. Thanks for the needed
patch.


Note You need to log in before you can comment on or make changes to this bug.